Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Exception.cpp File Reference

`#include "Exception.h"`
`#include "SystemException.h"`
`#include "Environment.h"`
`#include "ORB_Constants.h"`
`#include "CORBA_String.h"`
`#include "CDR.h"`
`#include "debug.h"`
`#include "ace/Malloc.h"`
`#include "ace/SString.h"`
`#include "ace/OS_NS_string.h"`
`#include "ace/streams.h"`
`#include "ace/OS_NS_stdio.h"`

Include dependency graph for Exception.cpp:

## Namespaces
namespace | CORBA
## Functions
ACE_OSTREAM_TYPE & | operator<< (ACE_OSTREAM_TYPE &os, const CORBA::Exception &e)
ACE_OSTREAM_TYPE & | operator<< (ACE_OSTREAM_TYPE &os, const CORBA::Exception *e)

## Function Documentation

TAO_Export ACE_OSTREAM_TYPE & CORBA::operator<< | ( | ACE_OSTREAM_TYPE & | os,
|  | const CORBA::Exception * | e
| ) |

TAO_Export ACE_OSTREAM_TYPE & CORBA::operator<< | ( | ACE_OSTREAM_TYPE & | os,
|  | const CORBA::Exception & | e
| ) |